<template>

    <div class="container">
        <div className="mb-3 d-flex justify-content-between align-items-center">
            <h1>Animes</h1>
            <add-anime></add-anime>
        </div>
        
    <table class="table table-hover">
        <thead>
            <tr>
            <th scope="col">id</th>
            <th scope="col">name</th>
            <th scope="col">date created</th>
            <th scope="col">date updated</th>
            </tr>
        </thead>
        <tbody>
            <tr class="table-active" v-for="anime in animes" :key="anime.id">
                <th scope="row">{{anime.id}}</th>
                <td>{{anime.name}}</td>
                <td>{{anime.created_at}}</td>
                <td>{{anime.updated_at}}</td>
                <td>{{anime.updated_at}}</td>
                <td> <router-link :to="{ name: 'editanime', params: { id: anime.id }}">edit</router-link>  </td>
                <td> <button type="button" class="btn btn-danger btn-sm"  @click="animeDelete(anime.id)">delete</button> </td>
            </tr>
        </tbody>
    </table>
      
     
    </div>
</template>

<script>
    export default {
     
     data() {
         return {
             animes:{}
         }
     },

        created()
        {
        axios.get('http://127.0.0.1:8000/animes')
            .then(response => {
                this.animes = response.data
            })
            .catch(error => {
                console.log(error)
                //this.errored = true
            });
        this.interval = setInterval(() => this.getAnimes(), 1000);
        },

        methods: {
            animeDelete(id){
                axios.delete('http://127.0.0.1:8000/anime/delete/'+id)
                .then(response => {response,
                this.animes = this.animes.filter(c =>c.id !==id)
                })
                .catch(error => {
                     this.animes = this.series
                    console.error("There was an error!", error);
                });
            },
            getAnimes()
            {
                axios.get('http://127.0.0.1:8000/animes')
                    .then(response => {
                    this.animes = response.data
                })
                    .catch(error => {
                        console.log(error)
                        //this.errored = true
                    });
            }  
        },
    }
</script>
